﻿using MiAPOPractice.AddWindow;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace MiAPOPractice.ElementsWindows
{
    /// <summary>
    /// Логика взаимодействия для PersonWindow.xaml
    /// </summary>
    public partial class PersonWindow : Window
    {
        Persons person;

        public PersonWindow(int IDPerson)
        {
            InitializeComponent();

            //ItemsGrid.ItemsSource = Connection.db.ItemsPersons.Where(item => item.Person.ID == IDPerson).ToList();

            person = Connection.db.Persons.Where(item => item.ID == IDPerson).FirstOrDefault();

            FIO.Content = person.FIO;
            PhoneNumber.Content = person.PhoneNumber;
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            MainWindow mw = new MainWindow();
            mw.Show();
            this.Close();
        }

        private void SearchPreviewMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            #region Поиск
            if (SearchField.Text == "Поиск")
                SearchField.Text = "";
        }

        private void SearchLostFocus(object sender, RoutedEventArgs e)
        {
            if (SearchField.Text == "")
                SearchField.Text = "Поиск";
        }

        private void SearchTextChanged(object sender, TextChangedEventArgs e)
        {
            //if (SearchField.Text != "" && SearchField.Text != "Поиск")
            //{
            //    ItemsGrid.ItemsSource = Connection.db.PlayersList.Where(item => (item.Players.Persons.FirstName + " " + item.Players.Persons.SecondName + " "
            //                            + item.Players.Persons.MiddleName + " " + item.Players.Nickname + " " + item.Teams.Name).Contains(SearchField.Text)).ToList();
            //}
            //else if (SearchField.Text == "" || SearchField.Text == "Поиск")
            //{
            //    Connection.db.PlayersList.ToList();
            //}
            #endregion
        }

        private void ItemMouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            int id = ((Items)ItemsGrid.SelectedItem).ID;
            ItemWindow itemsWindow = new ItemWindow(id);
            itemsWindow.Show();
            this.Hide();
        }

        private void ChangeButtonClick(object sender, RoutedEventArgs e)
        {
            AddPersonWindow addPersonWindow = new AddPersonWindow(person.ID);
            addPersonWindow.Show();
            this.Close();
        }
    }
}